# Interface IAttDefEntity

Represents a DXF ATTDEF (attribute definition) entity.

interface IAttDefEntity {
blockName?: string;
endPoint?: DxfPoint;
height?: number;
horizontalJustification?: number;
prompt?: string;
rotation?: number;
startPoint: DxfPoint;
tag?: string;
text?: string;
textHeight?: number;
}

#### Hierarchy

- IEntity
  - IAttDefEntity

#####
Index

### Properties

blockName?
endPoint?
height?
horizontalJustification?
prompt?
rotation?
startPoint
tag?
text?
textHeight?

##
Properties

### `Optional` blockName

blockName?: string

Name of the block this attribute belongs to.

### `Optional` endPoint

endPoint?: DxfPoint

Optional end point for the attribute definition.

### `Optional` height

height?: number

Height of the attribute text.

### `Optional` horizontalJustification

horizontalJustification?: number

Optional horizontal justification.

### `Optional` prompt

prompt?: string

Prompt message displayed in block insertion.

### `Optional` rotation

rotation?: number

Rotation angle of the text.

### startPoint

startPoint: DxfPoint

Start point of the attribute definition.

### `Optional` tag

tag?: string

Attribute tag identifier.

### `Optional` text

text?: string

Text content associated with the attribute.

### `Optional` textHeight

textHeight?: number

Text Height of the attribute text.